Subject: Re: Netscape Plugin with B20.1
From: [email-masked] (Mumit Khan)

11 Dec 1998 03:50:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "Murugan Muthusamy" <[email-masked]>
Cc: [email-masked]

"Murugan Muthusamy" <[email-masked]> writes:
> 
> I did build Netscape plugin DLL with B20.1 tools but no success to get it acc
> ess from Netscape.

Hi Murugan, 

First of all, my sincere apologies for not getting back to you sooner. My
backlog is growning faster than ever, and sometimes it's just easier to
look at the folders for various mailing lists than looking at the huge 
"not for research or really personal" part of my inbox.

> 
> However, I did noticed the following
> After DLL build, check its properties under
> Windows Explorer. 
> NT explorer->NPwtemp.dll->properties->Version
> all information are blanks. I crossed check it
> with MSVC 4.0 those are well defined. I do believe
> these are defined from .RC file. I used the same
> .RC. 
> 
> maybe bug in windres tool?  or something wrong 
> with building process?

Yes, it's a bug in windres. Hopefully someone like Anders Norlander is
looking at this problem. Basically the version info never makes it into
the executable.

> 
> Anyone would you like to try out, I put source
> with modifications along with makefile for ftp.
> 

Thanks. Here's what I did after we corresponded the first few times:
  
  - get the latest SDK and make a few tiny mods (easy to spot)
  - use MS rc compiler to compile the .rc file
  - build the DLL using GNU C

The plugin now shows up the list (damn Netscape for using such a horrible
method for looking into the plugins! Why not just use a callback like it's
done on Unix?), but crashes on load.

The only way to debug it properly is to build Netscape locally with
debugging on using MSVC and then do it. Unless of course someone gets
lucky and figures out the problem.  If anyone can provide me with a
Mozilla exec with debugging symbols, I'll be willing to look into it.

So much easier writing a Java JNI ... oh well.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".